@echo off
setlocal ENABLEDELAYEDEXPANSION

if %PROCESSOR_ARCHITECTURE%==x86 (
  set xdelta_bin=xdelta3-32.exe
) else (
  set xdelta_bin=xdelta3-64.exe
)

set DIFF_1=nakaimo01-v2-fontfix-patch.vcdiff
set V1_1=[UTW]_Kono_Naka_ni_Hitori_Imouto_ga_Iru_-_01_[h264-720p][1419235A].mkv
set V2_1=[UTW]_Kono_Naka_ni_Hitori_Imouto_ga_Iru_-_01v2_[h264-720p][94598B96].mkv

set DIFF_2=nakaimo02-v2-fontfix-patch.vcdiff
set V1_2=[UTW]_Kono_Naka_ni_Hitori_Imouto_ga_Iru_-_02_[h264-720p][90849884].mkv
set V2_2=[UTW]_Kono_Naka_ni_Hitori_Imouto_ga_Iru_-_02v2_[h264-720p][FFE0FD70].mkv

echo Patching 01 to v2...
%xdelta_bin% -d "%DIFF_1%"
if %ERRORLEVEL% EQU 0 (
  if EXIST "%V2_1%" (
    @echo Returned 0. Patching successful. %V1_1% can be deleted if %V2_1% plays correctly.
  ) else (
    @echo Returned 0. Patching failed. Unknown error.
  )
) else (
  @echo Returned %ERRORLEVEL%. Patching failed or file exists.
)

echo.
echo Patching 02 to v2...
%xdelta_bin% -d "%DIFF_2%"
if %ERRORLEVEL% EQU 0 (
  if EXIST "%V2_2%" (
    @echo Returned 0. Patching successful. %V1_2% can be deleted if %V2_2% plays correctly.
  ) else (
    @echo Returned 0. Patching failed. Unknown error.
  )
) else (
  @echo Returned %ERRORLEVEL%. Patching failed or file exists.
)

:exit
endlocal